## org.jCharts.imageMap
Class ImageMap

    java.lang.Object
      org.jCharts.imageMap.ImageMap

All Implemented Interfaces:
  Serializable

    public final class ImageMap

extends Object
implements Serializable

See Also:
  Serialized Form

Field Summary
`private ArrayList` `areas`

Constructor Summary
`ImageMap(int size)`

Method Summary
`void` `addImageMapArea(ImageMapArea imageMapArea)`
`Iterator` `getIterator()`
`String` `toHTML()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### areas

    private ArrayList areas

Constructor Detail

### ImageMap

    public ImageMap(int size)

Parameters:
  `size` - the number of areas

Method Detail

### addImageMapArea

    public void addImageMapArea(ImageMapArea imageMapArea)

  Parameters:
    `imageMapArea` -

### getIterator

    public Iterator getIterator()

### toHTML

    public String toHTML()